List workflows
curl --request GET \
--url https://app.usertick.com/api/public/v1/workflows \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.usertick.com/api/public/v1/workflows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.usertick.com/api/public/v1/workflows"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "draft",
"hasUnpublishedChanges": true,
"triggerEvent": "<string>",
"surveyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pausedReason": "<string>",
"pausedAt": "2026-09-30T10:00:00.000Z",
"runs": {
"succeeded": 123,
"failed": 123,
"skipped": 123
},
"lastRunAt": "2026-09-30T10:00:00.000Z",
"stoppedByPlan": true,
"requiredPlan": "<string>",
"editorUrl": "<string>",
"createdAt": "2026-09-30T10:00:00.000Z",
"updatedAt": "2026-09-30T10:00:00.000Z",
"aiGenerated": true,
"aiGeneratedAt": "2026-09-30T10:00:00.000Z"
}
],
"nextCursor": "<string>"
}
List workflows
The organization’s workflows, edited last first unless sorted, each with its status, its runs of the last 7 days and whether the plan stops it. Needs the member’s permission to manage workflows.
Scopes: workflows:read.
GET
/
workflows
List workflows
curl --request GET \
--url https://app.usertick.com/api/public/v1/workflows \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.usertick.com/api/public/v1/workflows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.usertick.com/api/public/v1/workflows"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "draft",
"hasUnpublishedChanges": true,
"triggerEvent": "<string>",
"surveyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pausedReason": "<string>",
"pausedAt": "2026-09-30T10:00:00.000Z",
"runs": {
"succeeded": 123,
"failed": 123,
"skipped": 123
},
"lastRunAt": "2026-09-30T10:00:00.000Z",
"stoppedByPlan": true,
"requiredPlan": "<string>",
"editorUrl": "<string>",
"createdAt": "2026-09-30T10:00:00.000Z",
"updatedAt": "2026-09-30T10:00:00.000Z",
"aiGenerated": true,
"aiGeneratedAt": "2026-09-30T10:00:00.000Z"
}
],
"nextCursor": "<string>"
}
Authorizations
bearerAuthapiKeyHeader
Query Parameters
Last modified on November 9, 2026